<?php
if(!isset($_SESSION)) 
{ 
session_start(); 
} 
if(!isset($_SESSION['is_login']) ){
header("location: login.php");
?>
<script>
window.location="login.php";
</script>
<?php
}

// $permission  = explode(',',$_SESSION['permission_id']);
// if(!in_array(19,$permission) && !in_array(1,$permission)  ){

// $op['is_success'] = false;
// $op['data'] 	  = "عذرا انت غير مخول للوصل الى هذه الصفحة";
// echo json_encode($op);
// exit;

// }

date_default_timezone_set($_SESSION['SYSTimezone']);

if (isset($_POST['type']) || isset($_GET['type'])){
		require("db_connect.php");

		if( isset($_GET['type']) && ($_GET['type'] == "load")){
			// DB table to use
			// show All products for specific category
			$cond = isset($_GET['id'])? ' AND L.language_id='.$_GET['id']:'';
			$table  =  '(
				SELECT
					keyword_id,
					keyword,
					language_id,
					language_name,
					language_symbol,
					language_dir,
					language_keyword_id,
					language_id_fk,
					keyword_id_fk,
					translated_keyword
					
				FROM
					keywords  KW
					LEFT JOIN languages L ON (L.is_deleted=0)
					LEFT JOIN languages_keywords LKW ON (LKW.keyword_id_fk = KW.keyword_id AND LKW.language_id_fk = L.language_id AND LKW.is_deleted=0)
				WHERE
					( KW.is_deleted = 0 '.$cond.') 
			) AS ALLTBL';
			// Table's primary key
			//echo $table;
			$primaryKey = 'keyword_id';
			$columns = array(
			    array( 'db' => 'keyword_id', 'dt' => 0 ),
			    array( 'db' => 'keyword', 'dt' => 1 ),
			    array( 'db' => 'translated_keyword', 'dt' => 2 ),
			    array( 'db' => 'language_name', 'dt' => 3 ),
			    array( 'db' => 'language_symbol', 'dt' => 4 ),
			    array( 'db' => 'language_dir', 'dt' => 5 ),
			    array( 'db' => 'language_id', 'dt' => 6 ),
			    array( 'db' => 'language_keyword_id', 'dt' => 7 )
			   
			    
			);
			// SQL server connection information
			$sql_details = array(
			    'user' => $mysql_user,
			    'pass' => $mysql_password,
			    'db'   => $mysql_db,
			    'host' => $mysql_server
			);
			require( 'ssp.php' );
			echo json_encode(
			    SSP::complex( $_GET, $sql_details, $table, $primaryKey, $columns ,null, '' )
			);
			exit;
		}

		

	

		if ($_POST['type'] == "delete") {

			
			$id							=addslashes($_POST["obj_id"]);
			
			$lastaction = "Delete Keywords";

			$op  = array('is_success'=>false, 'data' => '');

			

			// $res = $db->query("SELECT * FROM price_profile WHERE is_deleted=0 AND profile_name = '$profile_name' AND price_profile_id != '$id'");
			// if (mysqli_num_rows($res)>0) {
			// 		$op['is_success'] = false;
			// 		$op['data'] 	  = "خطأ الاسم مكرر";
			// 		echo json_encode($op);
			// 		exit;
			// }

			// we shouuld delted all its translation in language_keyword table
			$update_qry = "UPDATE languages_keywords SET  is_deleted = 1,last_action='$lastaction',last_action_by='".$_SESSION['user_id']."' WHERE keyword_id_fk = $id";
			// echo $update_qry;

			$res = $db->query($update_qry);
			if (!$res) {
					
				$op['is_success'] = false;
				$op['data'] 	  	= "حصل خطأ: الرجاء اعادة تحميل الصفحة والمحاولة من جديد";
				echo json_encode($op);
				exit;
			}


			$update_qry = "UPDATE keywords SET  is_deleted = 1,last_action='$lastaction',last_action_by='".$_SESSION['user_id']."' WHERE keyword_id = $id";


			$res = $db->query($update_qry);
			if ($res) {
					$op['is_success'] = true;
					$op['data'] 	 	  = "تمت عملية الحذف بنجاح";
					echo json_encode($op);
					exit;
			}else{
				$op['is_success'] = false;
				$op['data'] 	  	= "حصل خطأ: الرجاء اعادة تحميل الصفحة والمحاولة من جديد";
				echo json_encode($op);
				exit;
			}
		}


		if ($_POST['type']=="save_single") {

			$keyword_id 			=	addslashes($_POST["keyword_id"]);
			$lang_id				=	addslashes($_POST["lang_id"]);
			$lang_keyword_id		=	addslashes($_POST["lang_keyword_id"]);
			$translated_word		=	addslashes($_POST["translated_word"]);
			$key_word				=	addslashes($_POST["key_word"]);
			$key_word_original		=	addslashes($_POST["key_word_original"]);

			$reg_date = date("Y-m-d h:i:s", time());
			$lastaction = "Update Translation";

			$op  = array('is_success'=>false, 'data' => '');

			
			if ($key_word!=$key_word_original) {
				$res = $db->query("UPDATE keywords SET keyword = '$key_word' ,last_action='$lastaction',last_action_by='".$_SESSION['user_id']."' WHERE keyword_id=$keyword_id");
				
				if (!$res){
						// $op['data'] 	  = $db->error;

		        		$op['is_success'] = false;
						$op['data'] 	  = "حصل خطأ: الرجاء اعادة تحميل الصفحة والمحاولة من جديد";
						echo json_encode($op);
						exit;
		     	}
			}

			

  			$res = $db->query("INSERT INTO languages_keywords(
									  							language_keyword_id,
																language_id_fk,
																keyword_id_fk,
																translated_keyword,
																last_action,
																last_action_by)
								VALUES ('$lang_keyword_id',
										'$lang_id',
										'$keyword_id',
										'$translated_word',
										'$lastaction',
										'".$_SESSION['user_id']."'
										) 
								ON DUPLICATE KEY UPDATE 
										translated_keyword = VALUES(translated_keyword) ,
										last_action = VALUES(last_action) ,
										last_action_by = VALUES(last_action_by)
										");


	    	if ($res){
	        		$op['is_success'] = true;
					$op['data'] 	  = "تمت عملية التحديث بنجاح";
					echo json_encode($op);
					exit;
	     	}else{
	      			$op['is_success'] = false;
					$op['data'] 	  = "حصل خطأ: الرجاء اعادة تحميل الصفحة والمحاولة من جديد";
					echo json_encode($op);
					exit;
	     	}
		}

		if ($_POST['type'] == "create") {
     	
     			$keyword			=	addslashes($_POST["keyword"]);
			
				
				$reg_date = date("Y-m-d h:i:s", time());
				$lastaction = "Define New Keyword";


				$res = $db->query("SELECT * FROM keywords WHERE keyword = '$keyword' AND is_deleted =0 ");
				if (mysqli_num_rows($res)>0) {
					$op['is_success'] = false;
					$op['data'] 	  = "خطأ الاسم مكرر";
					echo json_encode($op);
					exit;
				}

				$sql ="INSERT INTO keywords (keyword,created_by,last_action,last_action_by)
						VALUES('$keyword','".$_SESSION['user_id']."','$lastaction','".$_SESSION['user_id']."')";

						$res = $db->query($sql);
							if ($res) {
								
								$op['is_success'] = true;
								$op['data'] 	  = "تمت عملية الاضافة بنجاح";
								echo json_encode($op);
								exit;
							}
							else{
								$op['is_success'] = false;
								$op['data'] 	  = "حصل خطأ: الرجاء اعادة تحميل الصفحة والمحاولة من جديد";
								echo json_encode($op);
								exit;
							}

			

		}

		
	}
	else{
		header("Location:../");
		exit;
	}
?>
